Bug 458714 - Review Request: libkate - Libraries to handle the Kate bitstream format
Review Request: libkate - Libraries to handle the Kate bitstream format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 461119
  Show dependency treegraph
 
Reported: 2008-08-11 15:42 EDT by Nicolas Chauvet (kwizart)
Modified: 2010-12-10 09:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 19:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-08-11 15:42:22 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.1.7-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

rpmlint (on installed packages)
libkate-utils.x86_64: W: no-documentation

Koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=771518
Comment 1 Jason Tibbitts 2008-08-16 18:05:47 EDT
This failed to build for me in a manner which I completely fail to comprehend.  I know you did a koji build, but koji is down at the moment so I can't check it.  I'm building in rawhide on x86_64.  The failure isn't that long, so I'll just paste it in.  I suspect mock has destroyed any formatting.  

make  check-local
make[2]: Entering directory `/builddir/build/BUILD/libkate-0.1.7'
 Checking Kate namespace
/usr/bin/nm:
'lib/.libs/*.a': No such file
 Checking memory allocation routines
 Checking forgotten debug traces
 Checking Kate stream bspline
/builddir/build/BUILD/libkate-0.1.7/tools/.libs/lt-kateenc: error while loading shared libraries: liboggkate.so.1: cannot open shared object file: No such file or directory
==
4448==
Jump to the invalid address stated on the next line
==
4448==
   at 0x32E: ???
==
4448==
   by 0x400E947: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x400D97D: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x40036E9: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x401610B: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x4001443: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x4000AF7: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x7: ???
==
4448==
   by 0x7FF000B7E: ???
==
4448==
   by 0x7FF000BB9: ???
==
4448==
   by 0x7FF000BBC: ???
==
4448==
   by 0x7FF000BBE: ???
==
4448==
 Address 0x32e is not stack'd, malloc'd or (recently) free'd
==
4448==
==
4448==
Process terminating with default action of signal 11 (SIGSEGV)
==
4448==
 Bad permissions for mapped region at address 0x32E
==
4448==
   at 0x32E: ???
==
4448==
   by 0x400E947: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x400D97D: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x40036E9: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x401610B: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x4001443: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x4000AF7: (within /lib64/ld-2.8.90.so)
==
4448==
   by 0x7: ???
==
4448==
   by 0x7FF000B7E: ???
==
4448==
   by 0x7FF000BB9: ???
==
4448==
   by 0x7FF000BBC: ???
==4448==    by 0x7FF000BBE: ???
Comment 2 Nicolas Chauvet (kwizart) 2008-08-29 07:42:53 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.1.8-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

Changelog:
- Update to 0.1.8

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=793036

About the previous error; I thought i have disabled make test. I have probably missed to update the src.rpm. Previously the package failed at make test when libkate wasn't already installed. (was :
/builddir/build/BUILD/libkate-0.1.7/tools/.libs/lt-kateenc: error while loading
shared libraries: liboggkate.so.1: cannot open shared object file: No such file )
I've just had time to report this problem upstream which this release is aimed to fix.
Comment 3 Nicolas Chauvet (kwizart) 2008-08-29 07:50:07 EDT
So it fails on Rawhide ppc/ppc64 (problem reported upstream)
same failure for F-9
http://koji.fedoraproject.org/koji/taskinfo?taskID=793059
Comment 4 Nicolas Chauvet (kwizart) 2008-09-02 06:07:38 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.1.9-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

Koji Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=799541
This time, all arches have built fine.
Comment 5 Nicolas Chauvet (kwizart) 2008-09-03 10:46:44 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.1.10-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

Koji Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=802279
This release is aimed to fix a bug with the tool
Comment 6 Nicolas Chauvet (kwizart) 2008-09-04 07:48:21 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.1.11-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

Minor issue with versionning..
Comment 7 Nicolas Chauvet (kwizart) 2008-09-15 07:07:50 EDT
This package is ready to review...
Most problems have been fixed in relation with upstream.
Comment 8 Nicolas Chauvet (kwizart) 2008-10-20 20:53:16 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.2.5-1.fc8.kwizart.src.rpm
Description: Libraries to handle the Kate bitstream format

This library has been updated often last weeks.
According to the libkate developer, that's not sure that libkate is API/ABI stable . So I don't expect to use it in "major repositories", unless anyone has  better advices. ?!..
Comment 9 Nicolas Chauvet (kwizart) 2008-12-02 10:25:51 EST
for info,last version is here:
http://rpms.kwizart.net/fedora/10/SRPMS/libkate-0.2.7-1.fc10.src.rpm
It still seems in development stage. But ABI seems stable.
Comment 10 Nicolas Chauvet (kwizart) 2009-01-22 11:36:20 EST
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.3.0-1.fc10.src.rpm
Description: Libraries to handle the Kate bitstream format


Changelog
- Update to 0.3.0
- Add KateDJ and katalyzer in -utils
- Add BR liboggz and -utils Requires liboggz

Koji build on Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=1074429


Despite the version are changing often, the ABI hasn't changed that much in previous releases; so I've removed the comment on the whiteboard.

This package is ready to be reviewed.
Comment 11 Nicolas Chauvet (kwizart) 2009-03-16 19:42:58 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.3.1-1.fc11.src.rpm
Description: Libraries to handle the Kate bitstream format


ABI have been preserved: between 0.3.0 and 0.3.1
-------------------
# rpmsodiff /home/builder/rpmbuild/RPMS/x86_64/libkate-0.3.0-1.fc10.x86_64.rpm /home/builder/rpmbuild/RPMS/x86_64/libkate-0.3.1-1.fc10.x86_64.rpm
	common sonames:
libkate.so.1	/usr/lib64/libkate.so.1.1.0	/usr/lib64/libkate.so.1.1.1
liboggkate.so.1	/usr/lib64/liboggkate.so.1.1.0	/usr/lib64/liboggkate.so.1.1.0

libkate.so.1 definitions unchanged

liboggkate.so.1 definitions unchanged
-------------------
Comment 12 Jason Tibbitts 2009-03-24 19:27:09 EDT
This failed to build for me:

kate_parser.y: At top level:
kate_parser.y:1015: error: conflicting types for 'getline'
/usr/include/stdio.h:653: note: previous declaration of 'getline' was here
make[3]: *** [kateenc-kate_parser.o] Error 1
Comment 13 Nicolas Chauvet (kwizart) 2009-03-24 19:34:36 EDT
Which Arch ? I expect it is on rawhide. Do you have the link for koji?

It worked few days ago from rawhide repositories (not koji):
http://rpms.kwizart.net/fedora/rawhide/x86_64/
Comment 14 Jason Tibbitts 2009-03-24 19:44:50 EDT
That was on x86_64 in my local mock on current rawhide with static-repos enabled.  I did a koji scratch build as well to verify:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1257463
Comment 15 Nicolas Chauvet (kwizart) 2009-04-03 19:12:10 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.3.1-2.fc11.src.rpm
Description: Libraries to handle the Kate bitstream format

Changelog
- Prevent getline() conflict in recent rawhide
Comment 16 Orcan Ogetbil 2009-04-10 00:54:07 EDT
I made the full review. Nothing major. There are a few things to go over:

* rpmlint says:
   libkate-utils.x86_64: E: explicit-lib-dependency liboggz
This one can be ignored

   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/ui_editor.py 0644
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/finder.py 0644   
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/muxer.py 0644    
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/tools.py 0644    
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/options.py 0644  
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/ui_main.py 0644  
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/ui_options.py 0644
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/constants.py 0644 
   libkate-utils.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/kdj/demuxer.py 0644

Could you remove the shebangs from these guys?

! Installing docs into %{_docdir}/%{name}-%{version} is the usual convention in Fedora. configure script must have a flag for setting this.

* Could you package the AUTHORS, ChangeLog, COPYING, README and THANKS files? Especially COPYING is a requirement to package.

? Is examples/ directory worth packaging (into devel)?

* New guidelines prefer %global over %define.

? Could you briefly explain (in the SPEC file as a comment) what the patch does?
Comment 17 Nicolas Chauvet (kwizart) 2009-04-10 08:30:58 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libkate.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libkate-0.3.1-3.fc11.src.rpm
Description: Libraries to handle the Kate bitstream format


%changelog
- Use Fedora compliant (using version) _docdir directory.
- Remove shebangs when not needed.
- Bundle examples within -devel
- Use global instead of define

Patches been send upstream.
Comment 18 Orcan Ogetbil 2009-04-10 11:51:04 EDT
Thanks. It's all good now.

------------------------------------------
This package (libkate) is APPROVED by oget
------------------------------------------
Comment 19 Nicolas Chauvet (kwizart) 2009-04-10 15:42:39 EDT
New Package CVS Request
=======================
Package Name: libkate
Short Description: Libraries to handle the Kate bitstream format
Owners: kwizart
Branches: F-10 F-9
Cvsextras Commits: yes
Comment 20 Kevin Fenzi 2009-04-10 18:04:43 EDT
cvs done.
Comment 21 Nicolas Chauvet (kwizart) 2010-12-09 12:23:08 EST
Package Change Request
======================
Package Name: libkate
New Branches: el5 el6
Owners: kwizart
Comment 22 Jason Tibbitts 2010-12-10 09:40:49 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.